<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsPressure Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_pressure-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsPressure Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Pressure data.  
 <a href="struct_xs_pressure.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a21763575c49cb6fe92e588ea190da05a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_pressure.html#a21763575c49cb6fe92e588ea190da05a">XsPressure</a> (double pressure=0, uint8_t age=0)</td></tr>
<tr class="memdesc:a21763575c49cb6fe92e588ea190da05a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an <a class="el" href="struct_xs_pressure.html" title="Pressure data. ">XsPressure</a>.  <a href="#a21763575c49cb6fe92e588ea190da05a">More...</a><br /></td></tr>
<tr class="separator:a21763575c49cb6fe92e588ea190da05a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab502097cae19591c5a246825116128"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_pressure.html#a3ab502097cae19591c5a246825116128">XsPressure</a> (<a class="el" href="struct_xs_pressure.html">XsPressure</a> const &amp;other)</td></tr>
<tr class="memdesc:a3ab502097cae19591c5a246825116128"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new <a class="el" href="struct_xs_pressure.html" title="Pressure data. ">XsPressure</a> as copy from <em>other</em>.  <a href="#a3ab502097cae19591c5a246825116128">More...</a><br /></td></tr>
<tr class="separator:a3ab502097cae19591c5a246825116128"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add6cc5ac89286b393a14d3ca564e1fcd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_pressure.html">XsPressure</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_pressure.html#add6cc5ac89286b393a14d3ca564e1fcd">operator=</a> (<a class="el" href="struct_xs_pressure.html">XsPressure</a> const &amp;other)</td></tr>
<tr class="memdesc:add6cc5ac89286b393a14d3ca564e1fcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy the data from <em>other</em>.  <a href="#add6cc5ac89286b393a14d3ca564e1fcd">More...</a><br /></td></tr>
<tr class="separator:add6cc5ac89286b393a14d3ca564e1fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a145049b565292f79ae0ab50bc5993105"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_pressure.html#a145049b565292f79ae0ab50bc5993105">operator==</a> (<a class="el" href="struct_xs_pressure.html">XsPressure</a> const &amp;other) const </td></tr>
<tr class="memdesc:a145049b565292f79ae0ab50bc5993105"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this is equal to <em>other</em>.  <a href="#a145049b565292f79ae0ab50bc5993105">More...</a><br /></td></tr>
<tr class="separator:a145049b565292f79ae0ab50bc5993105"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4b3f54cfbb17da6d8f6b69a5f8ceac6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b3f54cfbb17da6d8f6b69a5f8ceac6a"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_pressure.html#a4b3f54cfbb17da6d8f6b69a5f8ceac6a">m_pressure</a></td></tr>
<tr class="memdesc:a4b3f54cfbb17da6d8f6b69a5f8ceac6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pressure in Pascal. <br /></td></tr>
<tr class="separator:a4b3f54cfbb17da6d8f6b69a5f8ceac6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade4dc8828e98be692362ea139ad7f29c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade4dc8828e98be692362ea139ad7f29c"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_pressure.html#ade4dc8828e98be692362ea139ad7f29c">m_pressureAge</a></td></tr>
<tr class="memdesc:ade4dc8828e98be692362ea139ad7f29c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Age of pressure data in samples. <br /></td></tr>
<tr class="separator:ade4dc8828e98be692362ea139ad7f29c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Pressure data. </p>
<p>Contains the pressure data and the pressure age </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a21763575c49cb6fe92e588ea190da05a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsPressure::XsPressure </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>pressure</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>age</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create an <a class="el" href="struct_xs_pressure.html" title="Pressure data. ">XsPressure</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pressure</td><td>the pressure </td></tr>
    <tr><td class="paramname">age</td><td>the pressure age </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3ab502097cae19591c5a246825116128"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsPressure::XsPressure </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_pressure.html">XsPressure</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create a new <a class="el" href="struct_xs_pressure.html" title="Pressure data. ">XsPressure</a> as copy from <em>other</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the pressure carrier to copy from </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="add6cc5ac89286b393a14d3ca564e1fcd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_pressure.html">XsPressure</a> const&amp; XsPressure::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_pressure.html">XsPressure</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Copy the data from <em>other</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the pressure carrier to copy from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>this </dd></dl>

</div>
</div>
<a class="anchor" id="a145049b565292f79ae0ab50bc5993105"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsPressure::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_pressure.html">XsPressure</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return true if this is equal to <em>other</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the pressure carrier to compare against </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if both XsPressures are equal </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
